/*
 * Created by victoria on 2021-05-12.
 */

#pragma once

#include "user_device_list.h"

#include <QXmppClient.h>

namespace QXmpp::Omemo {

class DeviceService : public QObject {
  Q_OBJECT

public:
  DeviceService(QXmppClient& client, QObject *parent);

  void fetch();

public slots:
  void onIqReceived(const QXmppIq& iq);

private:
  void announce();

  QXmppClient& client;
  QMap<QString, UserDeviceList> device_lists{};
};

} // namespace QXmpp::Omemo
